<?php

namespace App\Http\Controllers;

use App\Models\Kabupaten;
use Illuminate\Http\Request;

class KabupatenController extends Controller
{
    public function index(Request $request)
{
    $search = $request->get('search');

    if ($search) {
        $kabupatens = Kabupaten::where('nama', 'like', '%' . $search . '%')->paginate(10);
    } else {
        $kabupatens = Kabupaten::paginate(10);
    }

    return view('admin.kabupaten.index', compact('kabupatens'));
}
    public function create()
    {
        return view('admin.kabupaten.create');
    }

    public function store(Request $request)
    {
        $request->validate([
            'nama' => 'required|string',
            'longitude' => 'required|numeric',
            'latitude' => 'required|numeric',
        ]);

        Kabupaten::create($request->all());

        return redirect()->route('admin.kabupaten.index')->with('success', 'Data kabupaten berhasil ditambahkan!');
    }
    public function edit($id)
{
    $kabupaten = Kabupaten::findOrFail($id);
    return view('admin.kabupaten.edit', compact('kabupaten'));
}

public function update(Request $request, $id)
{
    $request->validate([
        'nama' => 'required|string',
        'longitude' => 'required|numeric',
        'latitude' => 'required|numeric',
    ]);

    $kabupaten = Kabupaten::findOrFail($id);
    $kabupaten->update($request->all());

    return redirect()->route('admin.kabupaten.index', $id)->with('success', 'Data kabupaten berhasil diperbarui!');
}

}